cutlass::gemm::GlobalLoadStreamBase< LoadIterator_, StoreIterator_, Transformer_ >::Params Struct Reference

The params.

`#include <gemm_global_stream.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE int | initialize (Pointer pointer, Index ld)
| Setup the params. More...

## Public Attributes

LoadIterator::Params | load_iterator
StoreIterator::Params | store_iterator

## Member Function Documentation

## initialize()

template<typename LoadIterator_ , typename StoreIterator_ , typename Transformer_ >

CUTLASS_HOST_DEVICE int cutlass::gemm::GlobalLoadStreamBase< LoadIterator_, StoreIterator_, Transformer_ >::Params::initialize | ( | Pointer | pointer,
|  | Index | ld
| ) |  |

inline

## Member Data Documentation

## load_iterator

template<typename LoadIterator_ , typename StoreIterator_ , typename Transformer_ >

LoadIterator::Params cutlass::gemm::GlobalLoadStreamBase< LoadIterator_, StoreIterator_, Transformer_ >::Params::load_iterator

## store_iterator

template<typename LoadIterator_ , typename StoreIterator_ , typename Transformer_ >

StoreIterator::Params cutlass::gemm::GlobalLoadStreamBase< LoadIterator_, StoreIterator_, Transformer_ >::Params::store_iterator

The documentation for this struct was generated from the following file:

- gemm_global_stream.h